package com.sundot.airport.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 考核指标表检查部门类型枚举
 */
@Getter
@AllArgsConstructor
public enum BasePerformanceIndicatorQcDeptTypeEnum {

    SOC("SOC", "SOC"),
    STATION_QC("STATION_QC", "站品控"),
    BRIGADE_QC("BRIGADE_QC", "大队品控"),
    BRIGADE_SUPERVISOR("BRIGADE_SUPERVISOR", "大队主管"),
    OTHER("OTHER", "其他");

    private final String code;
    private final String desc;

    public static BasePerformanceIndicatorQcDeptTypeEnum getByCode(String code) {
        for (BasePerformanceIndicatorQcDeptTypeEnum itemEnum : values()) {
            if (itemEnum.getCode().equals(code)) {
                return itemEnum;
            }
        }
        return null;
    }

}
